QGIS Application - Feature request #20849
Give proper layer names for ProcessingAlgorithms output layers
2018-12-19 03:49 PM - Andreas Rabe

Status: Closed

Priority: Normal

Assignee:

Category: Processing/GUI

Pull Request or Patch supplied: Resolution: duplicate
Easy fix?: No Copied to github as #: 28668
Description

For a fresh QGIS installation, output layer names are given by the algorithm, e.g. "Polygons from lines”, even if a proper filename was
specified.

Request:
1. delete the "Use filename as layer name" option in the settings OR at least activate it as default
2. behavior would be:

- If temporary file path is used --> use algorithm default output layer name
- If user-defined path is used --> use filename

Related issues:
Duplicates QGIS Application - Feature request # 12741: Layer output to file s... Open 2015-05-12

History

#1 - 2018-12-24 10:08 AM - Alexander Bruy
- Duplicates Feature request #12741: Layer output to file should be loaded inside the TOC with the same name of the file added

#2 - 2018-12-24 10:08 AM - Alexander Bruy
- Resolution set to duplicate
- Status changed from Open to Closed

Duplicates #12741

2025-04-26 1/1




